FIX::SocketInfo Struct Reference

Information about listening socket. More...

`#include <SocketServer.h>`

## Public Member Functions

| SocketInfo ()
| SocketInfo (int socket, short port, bool noDelay, int sendBufSize, int rcvBufSize)

## Public Attributes

int | m_socket
short | m_port
bool | m_noDelay
int | m_sendBufSize
int | m_rcvBufSize

## Detailed Description

Information about listening socket.

Definition at line 38 of file SocketServer.h.

## Constructor & Destructor Documentation

## SocketInfo() [1/2]

FIX::SocketInfo::SocketInfo | ( |  | ) |

inline

Definition at line 40 of file SocketServer.h.

: m_socket( -1 ), m_port( 0 ), m_noDelay( false ),
m_sendBufSize( 0 ), m_rcvBufSize( 0 ) {}
FIX::SocketInfo::m_noDelay
bool m_noDelay
Definition SocketServer.h:50
FIX::SocketInfo::m_sendBufSize
int m_sendBufSize
Definition SocketServer.h:51
FIX::SocketInfo::m_port
short m_port
Definition SocketServer.h:49
FIX::SocketInfo::m_rcvBufSize
int m_rcvBufSize
Definition SocketServer.h:52
FIX::SocketInfo::m_socket
int m_socket
Definition SocketServer.h:48

## SocketInfo() [2/2]

FIX::SocketInfo::SocketInfo | ( | int | socket,
|  | short | port,
|  | bool | noDelay,
|  | int | sendBufSize,
|  | int | rcvBufSize
| ) |  |

inline

Definition at line 44 of file SocketServer.h.

: m_socket( socket ), m_port( port ), m_noDelay( noDelay ),
m_sendBufSize( sendBufSize ), m_rcvBufSize( rcvBufSize ) {}

## Member Data Documentation

## m_noDelay

bool FIX::SocketInfo::m_noDelay

Definition at line 50 of file SocketServer.h.

Referenced by FIX::SocketServer::accept().

## m_port

short FIX::SocketInfo::m_port

Definition at line 49 of file SocketServer.h.

## m_rcvBufSize

int FIX::SocketInfo::m_rcvBufSize

Definition at line 52 of file SocketServer.h.

Referenced by FIX::SocketServer::accept().

## m_sendBufSize

int FIX::SocketInfo::m_sendBufSize

Definition at line 51 of file SocketServer.h.

Referenced by FIX::SocketServer::accept().

## m_socket

int FIX::SocketInfo::m_socket

Definition at line 48 of file SocketServer.h.

The documentation for this struct was generated from the following file:

- SocketServer.h